# cli programs should be available on servers and desktop
{ lib, pkgs, ... }:

{
  services = {
     mpd.enable = true;
     mpd.musicDirectory = "/home/mrflos/Musique";
     mpd.user = "mrflos";
     mpd.group = "users";
     #mpd.dataDir
     mpd.startWhenNeeded = true;
     mpd.extraConfig = ''
  audio_output {
    type "pulse"
    name "mpd" 
  }
'';
  };
  programs = {
#    mosh.enable = true;
#    neovim = {
#      enable = true;
#      viAlias = true;
#      vimAlias = true;
#    };
    ssh.startAgent = true;
    starship = {
      enable = true;
      settings = with builtins; fromTOML (readFile ../dotfiles/starship/starship.toml);
    };
    zsh = {
      enable = true;
      autosuggestions.enable = true;
      shellAliases = {
        #tmux = "tmux -f ~/.config/tmux/tmux.conf attach || tmux -f ~/.config/tmux/tmux.conf new";
        ls = "lsd --hyperlink=auto";
        icat = "kitty +kitten icat";
        nixedit = "vi /etc/nixos";
        nixupdate = "sudo nix-channel --update && sudo nixos-rebuild switch";
        nixclean = "sudo nix-env --delete-generations old --profile /nix/var/nix/profiles/system && sudo /nix/var/nix/profiles/system/bin/switch-to-configuration switch && sudo nix-store --gc";
      };
      shellInit = "cd ~/Developpements;";
      ohMyZsh = {
        enable = true;
        plugins = [ "git" "ssh-agent" ];
        theme = "robbyrussell";
      };
    };
  };

  # List packages installed in system profile. To search, run:
  # $ nix search wget
  environment.systemPackages = with pkgs; [
    ansible
    bat
    btop
    bitwarden-cli
    btop
    catnip
    coreutils
    curl
    dnsutils
    emacs-nox
    fd
    findutils
    fzf
    gnugrep
    gnumake
    gnupg
    imagemagick
    jq
    git
    glances
    htop
    lazygit
    lsd
    mc
    micro
    mosh
    mpc-cli
    mpd
    neofetch
    pandoc
    pass
    pciutils
    pinentry
    ripgrep
    slides
    starship
    tmux
    tree
    unzip
    usbutils
    wget
    whois
    wirelesstools
    yt-dlp
    zellij
    zola
    zsh-autosuggestions
  ];
}
